##
##  bower.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2023 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_bower      1.8.12
%define       V_bower_snap 20210119

#   package information
Name:         bower
Summary:      JavaScript Component Installation Tool
URL:          http://twitter.github.io/bower/
Vendor:       Twitter Inc.
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        PLUS
Group:        Archiver
License:      MIT
Version:      %{V_bower}
Release:      20230624

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/bower/bower-%{V_bower}-%{V_bower_snap}.tar.gz
Source1:      bower.sh

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, node-openpkg
PreReq:       OpenPKG, openpkg >= 20160101, node, git

%description
    Bower is a package manager for the web. It offers a generic,
    unopinionated solution to the problem of front-end package
    management, while exposing the package dependency model via an API
    that can be consumed by a more opinionated build stack. There are
    no system wide dependencies, no dependencies are shared between
    different apps, and the dependency tree is flat. Bower runs over
    Git, and is package-agnostic. A packaged component can be made up
    of any type of asset, and use any type of transport (e.g., AMD,
    CommonJS, etc).

%track
    prog bower = {
        version   = %{version}
        url       = https://github.com/bower/bower/releases
        regex     = tree/v(\d+\.\d+\.\d+)
    }

%prep
    %setup -q -c

%build
    %{l_prefix}/bin/node-openpkg squeeze

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/lib/bower
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE bower.sh} \
        $RPM_BUILD_ROOT%{l_prefix}/bin/bower
    %{l_prefix}/bin/node-openpkg install \
        %{l_prefix}/lib/bower/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

